diff -a -u -r1.1 -r1.2
--- linux-2.6.21-ts/drivers/ide/Kconfig 15 Oct 2007 18:22:49 -0000      1.1
+++ linux-2.6.21-ts/drivers/ide/Kconfig 3 Jan 2008 22:32:13 -0000       1.2
@@ -56,7 +56,7 @@
 
 config IDE_MAX_HWIFS
        int "Max IDE interfaces"
-       depends on ALPHA || SUPERH || IA64 || EMBEDDED
+       #depends on ALPHA || SUPERH || IA64 || EMBEDDED
        range 1 10
        default 4
        help
@@ -852,6 +852,10 @@
          Say Y here if you want to support the onboard IDE channels on the
          Simtec BAST or the Thorcom VR1000
 
+config BLK_DEV_IDE_TSRF2
+       tristate "TS-7800 TS-RF2/IDE Support"
+       depends on ARM
+
 config BLK_DEV_GAYLE
        bool "Amiga Gayle IDE interface support"
        depends on AMIGA
diff -a -u -r1.1 -r1.2
--- linux-2.6.21-ts/drivers/ide/arm/Makefile    15 Oct 2007 18:22:49 -0000     1.1
+++ linux-2.6.21-ts/drivers/ide/arm/Makefile    3 Jan 2008 22:32:13 -0000      1.2
@@ -2,5 +2,6 @@
 obj-$(CONFIG_BLK_DEV_IDE_ICSIDE)       += icside.o
 obj-$(CONFIG_BLK_DEV_IDE_RAPIDE)       += rapide.o
 obj-$(CONFIG_BLK_DEV_IDE_BAST)         += bast-ide.o
+obj-$(CONFIG_BLK_DEV_IDE_TSRF2)                += ide-tsrf2.o
 
 EXTRA_CFLAGS   := -Idrivers/ide
diff -a -u -r1.1 -r1.2
--- linux-2.6.21-ts/arch/arm/Kconfig    15 Oct 2007 18:18:44 -0000      1.1
+++ linux-2.6.21-ts/arch/arm/Kconfig    15 Nov 2007 23:24:59 -0000      1.2
@@ -206,6 +206,7 @@
        bool "EP93xx-based"
        select ARM_AMBA
        select ARM_VIC
+       select ARCH_DISCONTIGMEM_ENABLE
        help
          This enables support for the Cirrus EP93xx series of CPUs.
 
@@ -705,6 +706,7 @@
 
 config NODES_SHIFT
        int
+        default "5" if ARCH_EP93XX
        default "4" if ARCH_LH7A40X
        default "2"
        depends on NEED_MULTIPLE_NODES
diff -a -u -r1.1 -r1.2
--- linux-2.6.21-ts/.config     7 Nov 2007 16:52:54 -0000       1.1
+++ linux-2.6.21-ts/.config     3 Jan 2008 22:32:13 -0000       1.2
@@ -1,7 +1,7 @@
 #
 # Automatically generated make config: don't edit
 # Linux kernel version: 2.6.21-ts
-# Wed Nov  7 09:33:47 2007
+# Thu Jan  3 15:11:57 2008
 #
 CONFIG_ARM=y
 CONFIG_SYS_SUPPORTS_APM_EMULATION=y
@@ -479,6 +479,35 @@
 # CONFIG_ATA_OVER_ETH is not set
 
 #
+# ATA/ATAPI/MFM/RLL support
+#
+CONFIG_IDE=y
+CONFIG_IDE_MAX_HWIFS=4
+CONFIG_BLK_DEV_IDE=y
+
+#
+# Please see Documentation/ide.txt for help/info on IDE drives
+#
+# CONFIG_BLK_DEV_IDE_SATA is not set
+CONFIG_BLK_DEV_IDEDISK=y
+# CONFIG_IDEDISK_MULTI_MODE is not set
+# CONFIG_BLK_DEV_IDECD is not set
+# CONFIG_BLK_DEV_IDETAPE is not set
+# CONFIG_BLK_DEV_IDEFLOPPY is not set
+# CONFIG_BLK_DEV_IDESCSI is not set
+# CONFIG_IDE_TASK_IOCTL is not set
+
+#
+# IDE chipset support/bugfixes
+#
+CONFIG_IDE_GENERIC=y
+# CONFIG_BLK_DEV_IDEPCI is not set
+# CONFIG_IDE_ARM is not set
+CONFIG_BLK_DEV_IDE_TSRF2=m
+# CONFIG_BLK_DEV_IDEDMA is not set
+# CONFIG_BLK_DEV_HD is not set
+
+#
 # SCSI device support
 #
 # CONFIG_RAID_ATTRS is not set
@@ -782,6 +811,9 @@
 #
 CONFIG_SERIAL_TSUART=m
 CONFIG_SERIAL_TSUART_7800=m
+# CONFIG_SERIAL_TSUART_PROSOFT is not set
+CONFIG_SERIAL_TSUART_BAT3=m
+CONFIG_SERIAL_TSUART_RF=m
 CONFIG_SERIAL_8250=y
 CONFIG_SERIAL_8250_CONSOLE=y
 CONFIG_SERIAL_8250_PCI=y
@@ -999,6 +1031,7 @@
 # CONFIG_USB_STORAGE_DEBUG is not set
 # CONFIG_USB_STORAGE_DATAFAB is not set
 # CONFIG_USB_STORAGE_FREECOM is not set
+# CONFIG_USB_STORAGE_ISD200 is not set
 # CONFIG_USB_STORAGE_DPCM is not set
 # CONFIG_USB_STORAGE_USBAT is not set
 # CONFIG_USB_STORAGE_SDDR09 is not set
